org.eclipse.eef.core.internal

## Class EEFPageImpl

- java.lang.Object
- - org.eclipse.eef.core.internal.EEFPageImpl

All Implemented Interfaces:
  EEFPage

    public class EEFPageImpl
    extends java.lang.Object
    implements EEFPage

The implementation of the `EEFPage`.

### Constructor Summary

Constructors
Constructor and Description
`EEFPageImpl(EEFView eefView, EEFPageDescription eefPageDescription, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, IEEFDomainClassTester domainClassTester, boolean isUnique)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFPageDescription` `getDescription()` Returns the description of the `EEFPage`.
`java.util.List<EEFGroup>` `getGroups()` Returns the `EEFGroup` composing this `EEFPage`.
`org.eclipse.sirius.common.interpreter.api.IInterpreter` `getInterpreter()` Returns the interpreter.
`org.eclipse.sirius.common.interpreter.api.IVariableManager` `getVariableManager()` Returns the variable manager.
`EEFView` `getView()` Returns the view containing the page.
`void` `initialize()` Initialize the variables of the EEFPage.
`boolean` `isUnique()` Indicates if this page is the only instantiation of the page description.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFPageImpl

    public EEFPageImpl(EEFView eefView,
                       EEFPageDescription eefPageDescription,
                       org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                       org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                       IEEFDomainClassTester domainClassTester,
                       boolean isUnique)

The constructor.

Parameters:
  `eefView` - The containing `EEFView`
  `eefPageDescription` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `domainClassTester` - The domain class tester
  `isUnique` - Indicates if the description from this page has been instantiated multiple times

### Method Detail

#### initialize

    public void initialize()

Initialize the variables of the EEFPage.

#### getGroups

    public java.util.List<EEFGroup> getGroups()

Returns the `EEFGroup` composing this `EEFPage`.

Specified by:
  `getGroups` in interface `EEFPage`
Returns:
  The `EEFGroup`
See Also:
  `EEFPage.getGroups()`

#### getDescription

    public EEFPageDescription getDescription()

Returns the description of the `EEFPage`.

Specified by:
  `getDescription` in interface `EEFPage`
Returns:
  The `EEFPageDescription`
See Also:
  `EEFPage.getDescription()`

#### getView

    public EEFView getView()

Returns the view containing the page.

Specified by:
  `getView` in interface `EEFPage`
Returns:
  The view containing the page
See Also:
  `EEFPage.getView()`

#### getVariableManager

    public org.eclipse.sirius.common.interpreter.api.IVariableManager getVariableManager()

Returns the variable manager.

Specified by:
  `getVariableManager` in interface `EEFPage`
Returns:
  The variable manager
See Also:
  `EEFPage.getVariableManager()`

#### getInterpreter

    public org.eclipse.sirius.common.interpreter.api.IInterpreter getInterpreter()

Returns the interpreter.

Specified by:
  `getInterpreter` in interface `EEFPage`
Returns:
  The interpreter
See Also:
  `EEFPage.getInterpreter()`

#### isUnique

    public boolean isUnique()

Indicates if this page is the only instantiation of the page description.

Specified by:
  `isUnique` in interface `EEFPage`
Returns:
  `true` if this page is the only page created from the page description, `false` otherwise.
See Also:
  `EEFPage.isUnique()`